# xercesc::DOMWriterFilter Class Reference

`#include <DOMWriterFilter.hpp>`

Inheritance diagram for xercesc::DOMWriterFilter:

[legend]
List of all members.

## Public Member Functions

Destructor
virtual | ~DOMWriterFilter ()
| Destructor.
Functions introduced in DOM Level 3
virtual short | acceptNode (const DOMNode *node) const =0
| Interface from `DOMNodeFilter`, to be implemented by implementation (derived class).
virtual unsigned long | getWhatToShow () const =0
| Tells the DOMWriter what types of nodes to show to the filter.
virtual void | setWhatToShow (unsigned long toShow)=0
| Set what types of nodes are to be presented.

## Protected Member Functions

Hidden constructors
| DOMWriterFilter ()

## Constructor & Destructor Documentation

xercesc::DOMWriterFilter::DOMWriterFilter | ( |  | ) | `[inline, protected]`

virtual xercesc::DOMWriterFilter::~DOMWriterFilter | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual short xercesc::DOMWriterFilter::acceptNode | ( | const DOMNode * | node | ) | const`[pure virtual]`

| Interface from `DOMNodeFilter`, to be implemented by implementation (derived class). Implements xercesc::DOMNodeFilter.

virtual unsigned long xercesc::DOMWriterFilter::getWhatToShow | ( |  | ) | const`[pure virtual]`

Tells the DOMWriter what types of nodes to show to the filter.

See `DOMNodeFilter` for definition of the constants. The constant SHOW_ATTRIBUTE is meaningless here, attribute nodes will never be passed to a DOMWriterFilter.

"Experimental - subject to change"

Returns:
  The constants of what types of nodes to show.

See also:
  setWhatToShow

Since:
  DOM Level 3

virtual void xercesc::DOMWriterFilter::setWhatToShow | ( | unsigned long | toShow | ) | `[pure virtual]`

Set what types of nodes are to be presented.

See `DOMNodeFilter` for definition of the constants.

"Experimental - subject to change"

Parameters:

  | toShow | The constants of what types of nodes to show.

See also:
  getWhatToShow

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMWriterFilter.hpp